Skip to main content
POST
/
v5
/
taxes
/
taxPayment
Save a tax payment
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/taxes/taxPayment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "taxPayment": {
    "region": "FED",
    "period": "Q1",
    "year": 2020,
    "amount": 50.01,
    "bankAccountId": 123,
    "id": 123,
    "reviewStatus": "PARTNER_REVIEW_REQUIRED",
    "userAccess": "NONE",
    "accountantAccess": "NONE",
    "type": "CONFIRMED",
    "date": "2021-01-04",
    "description": "Online Banking payment",
    "bankDescription": "<string>",
    "apiAccountNo": "<string>",
    "apiAccountName": "Citi Premier® Card",
    "apiInstitutionId": "<string>",
    "customData": {},
    "v6EntityId": "<string>",
    "expenseId": 123,
    "revenueId": 123
  }
}
'
{
  "result": "SUCCESS",
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "id": "<string>",
  "webhook": {
    "userId": "<string>",
    "accountantUserId": "<string>",
    "type": "ENTITY_UPDATE"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*
taxPayment
object

Response

200 - application/json

Successful operation

Object containing details about result of the action performed

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object